ExpressionImpl (Tomcat API Documentation)
Keywords: org.apache.jasper.el.ExpressionImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.el
Class ExpressionImpl

    java.lang.Object
      javax.servlet.jsp.el.Expression
          org.apache.jasper.el.ExpressionImpl

    public final class ExpressionImpl

extends javax.servlet.jsp.el.Expression

Constructor Summary
`ExpressionImpl(javax.el.ValueExpression ve)`

Method Summary
`java.lang.Object` | `evaluate(javax.servlet.jsp.el.VariableResolver vResolver)` Evaluates an expression that was previously prepared.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionImpl

    public ExpressionImpl(javax.el.ValueExpression ve)

Method Detail

### evaluate

    public java.lang.Object evaluate(javax.servlet.jsp.el.VariableResolver vResolver)
                              throws javax.servlet.jsp.el.ELException

  Description copied from class: `javax.servlet.jsp.el.Expression`
  Evaluates an expression that was previously prepared. In some implementations preparing an expression involves full syntactic validation, but others may not do so. Evaluating the expression may raise an ELParseException as well as other ELExceptions due to run-time evaluation.

  Specified by:
    `evaluate` in class `javax.servlet.jsp.el.Expression`
  Parameters:
    `vResolver` - A VariableResolver instance that can be used at runtime to resolve the name of implicit objects into Objects.
  Returns:
    The result of the expression evaluation.
  Throws:
    `javax.servlet.jsp.el.ELException` - Thrown if the expression evaluation failed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.